Debian Bug report logs - #682013
fai-server: fai-setup failing on dracut setup

version graph

Package: fai-server; Maintainer for fai-server is Thomas Lange <lange@debian.org>; Source for fai-server is src:fai.

Reported by: J M Cerqueira Esteves <jmce@jmce.eu>

Date: Wed, 18 Jul 2012 17:39:02 UTC

Severity: serious

Tags: patch

Found in version fai/4.0.3

Fixed in version fai/4.0.4

Done: Thomas Lange <lange@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Wed, 18 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to J M Cerqueira Esteves <jmce@jmce.eu>:
New Bug report received and forwarded. Copy sent to Thomas Lange <lange@debian.org>. (Wed, 18 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: J M Cerqueira Esteves <jmce@jmce.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fai-server: fai-setup failing on dracut setup
Date: Wed, 18 Jul 2012 18:33:04 +0100
Package: fai-server
Version: 4.0.3
Severity: important

Testing with the example config from
/usr/share/doc/fai-doc/examples/simple
(having copied its contents to /srv/fai/config/ )
running 
I ran
   fai-setup -v 
which got an error while setting up dracut:
dracut: Generating /boot/initrd.img-3.2.0-3-amd64
E: No '/dev/log' or 'logger' included for syslog logging
F: Failed to install /etc/idmapd.conf
dpkg: error processing dracut (--configure):
 subprocess installed post-installation script returned error exit status 1

Is it advisable to specify "live-boot" instead of dracut in /etc/fai/NFSROOT?

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages fai-server depends on:
ii  debootstrap  1.0.42
ii  fai-client   4.0.3

Versions of packages fai-server recommends:
ii  isc-dhcp-server                   4.2.2.dfsg.1-5
ii  libproc-daemon-perl               0.14-1
ii  nfs-kernel-server                 1:1.2.6-2
ii  openbsd-inetd [inet-superserver]  0.20091229-2
ii  openssh-client                    1:6.0p1-2
ii  openssh-server                    1:6.0p1-2
ii  tftpd-hpa                         5.2-3

Versions of packages fai-server suggests:
ii  aptitude     0.6.8-1
pn  debmirror    <none>
ii  genisoimage  9:1.1.11-2
pn  grub         <none>
pn  perl-tk      <none>
ii  reprepro     4.12.3-1

-- Configuration Files:
/etc/fai/apt/sources.list changed:
deb http://http.debian.net/debian wheezy main contrib non-free
deb http://security.debian.org/debian-security wheezy/updates main contrib non-free


-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Thu, 19 Jul 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Neuburger <b.neuburger@gsi.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Thu, 19 Jul 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 682013@bugs.debian.org (full text, mbox):

From: Bastian Neuburger <b.neuburger@gsi.de>
To: <682013@bugs.debian.org>
Subject: Confirmed, maybe a regression in dracut v0.20 vs v.019
Date: Thu, 19 Jul 2012 15:06:56 +0200
Confirmed.

I have a wheezy amd63 VM on which I successfully created a nfsroot with 
the example config just 10 days ago. With the resulting nfsroot, kernel 
and initrd I could successfully install clients.

Now when repeating the same steps (i.e. running fai-setup with the 
example config) on a fresh virtual machine there are errors during 
fai-setup like described above. I also experience other errors when 
running fai-setup:

Setting up dracut (020-1) ...
dracut: Generating /boot/initrd.img-3.2.0-3-amd64
E: No '/dev/log' or 'logger' included for syslog logging
Error: missing module or filename.

chrooting to the nfsroot and running
$ dracut --libdirs="/lib /usr/lib" /home/initrd.img 3.2.0-3-amd64
results in
E: No '/dev/log' or 'logger' included for syslog logging
...
I: *** Installing kernel module dependencies and firmware ***
Error: missing module or filename.
...


When trying to pxeboot with the resulting kernels, dracut tells me that 
it does not support nfs,

One of the differences I observed is that dracut in testing is at v0.20 
since a week or so, and before it was v0.19 (this is the one in my 
working nfsroot).

Also running dracut as described above in the same nfsroot with dracut 
0.19 does not output errors, neither the "E: No '/dev/log'.." nor the 
one about missing module or filename.

Maybe we should file a bug against dracut 0.20 instead?


Moreover the default package list in /etc/fai/NFSROOT seems to be have 
some conflict (but it already did on the working nfsroot, so I don't 
know if it could be the reason for the errors):

install_packages: executing chroot /srv/fai/nfstest aptitude -R -y -o 
Dpkg::Options::=--force-conf
def -o Dpkg::Options::=--force-confnew install nfs-common fai-nfsroot 
module-init-tools ssh rdate
lshw rpcbind rsync lftp less dump reiserfsprogs e2fsprogs usbutils 
hwinfo psmisc pciutils hdparm s
martmontools parted lvm2 dnsutils ntpdate dosfstools xfsprogs xfsdump 
procinfo numactl dialog kbd
console-tools console-common iproute udev subversion xz-utils cupt 
dracut-network live-boot- live-
boot-initramfs-tools- grub linux-image-2.6-amd64
...
The following packages have unmet dependencies:
 kbd : Conflicts: console-utilities which is a virtual package.
 console-tools : Conflicts: console-utilities which is a virtual package.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     console-tools [Not Installed]



One short time workaround, until the underlying problem is fixed, to 
setup a working fai nfsroot is to bootstrap/install the nfsroot with a 
repository from snapshot.debian.org before dracut 0.20 was introduced. 
You can do this by editing /etc/fai/apt/sources.list and the mirror url 
in /etc/fai/nfsroot.conf.

Cheers,

Bastian



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Thu, 19 Jul 2012 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Lange <lange@informatik.uni-koeln.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Thu, 19 Jul 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #15 received at 682013@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@informatik.uni-koeln.de>
To: FAI Mailing <linux-fai@uni-koeln.de>
Subject: Re: Wheezy nfsroot / FAI 4.0.3
Date: Fri, 20 Jul 2012 00:04:36 +0200
Even I'm on vacation, I just spend some time to look into your
problems.

 >Setting up dracut (020-1) ...
 >dracut: Generating /boot/initrd.img-3.2.0-3-amd64
 >E: No '/dev/log' or 'logger' included for syslog logging
 >F: Failed to install /etc/idmapd.conf
 >dpkg: error processing dracut (--configure):
 > subprocess installed post-installation script returned error exit status 1
 >dpkg: dependency problems prevent configuration of linux-image-3.2.0-3-amd64:

The line E: can be ignored for now. The problem is the fatal error
(F:) of dracut, which cannot install /etc/idmapd.conf. It seems that
no idmapd.conf is available when dracut is called. This may be because
of ucf (called in nfs-common.postinst) or that nfs-common is not in
the depends list of dracut-network and therfore is set up after dracut
is called. Currently I do not know why this did not caused problems
with dracut 019.

A simple workaround is to create an empty idmapd.conf in
fai-make-nfsroot. NFS v4 will not work but it generates the nfsroot
and the initrd. But I'm not sure if it solves all problems.


--- ~/fai-4.0.3/bin/fai-make-nfsroot 2012-06-26 16:22:27.715039242 +0200
+++ /usr/sbin/fai-make-nfsroot  2012-07-19 23:48:04.417783953 +0200
@@ -374,7 +374,7 @@
 
     # liloconfig, dump needs these files
     echo "# UNCONFIGURED FSTAB FOR BASE SYSTEM" > etc/fstab
-
+    > etc/idmapd.conf
     # Work around Ubuntu's failure in installing rsyslog with
     # "start: Unable to connect to Upstart: Failed to connect to
     # socket /com/ubuntu/upstart: Connection refused"


-- 
regards Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Thu, 19 Jul 2012 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Lange <lange@informatik.uni-koeln.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Thu, 19 Jul 2012 22:27:05 GMT) Full text and rfc822 format available.

Message #20 received at 682013@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@informatik.uni-koeln.de>
To: 682013@bugs.debian.org
Cc: FAI Mailing <linux-fai@uni-koeln.de>
Subject: Re: Wheezy nfsroot / FAI 4.0.3
Date: Fri, 20 Jul 2012 00:25:16 +0200
Here's a better workaround for it.

wheezy[~]> diff -u ~/fai-4.0.3/bin/fai-make-nfsroot
--- ~/fai-4.0.3/bin/fai-make-nfsroot 2012-06-26 16:22:27.715039242 +0200
+++ /usr/sbin/fai-make-nfsroot  2012-07-20 00:22:21.025226452 +0200
@@ -452,7 +452,7 @@
         done
     fi
     $ROOTCMD apt-get update
-    $ROOTCMD aptitude -Rfy install fai-nfsroot
+    $ROOTCMD aptitude -Rfy install fai-nfsroot nfs-common
     $ROOTCMD apt-get -y dist-upgrade
     fdivert /usr/sbin/update-grub
 }



Added tag(s) patch. Request was from Thomas Lange <lange@debian.org> to control@bugs.debian.org. (Fri, 20 Jul 2012 11:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Fri, 20 Jul 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Neuburger <b.neuburger@gsi.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Fri, 20 Jul 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 682013@bugs.debian.org (full text, mbox):

From: Bastian Neuburger <b.neuburger@gsi.de>
To: <682013@bugs.debian.org>
Subject: Still problems with mounting nfs root
Date: Fri, 20 Jul 2012 15:12:23 +0200
[Message part 1 (text/plain, inline)]
Hi,

even with a patched fai-make-nfsroot I am not able to create a 
kernel/initrd combo that is able to mount the nfsroot, whereas the 
kernel/initrd that was created with dracut 0.19 10 days ago still works 
fine.

I still get the following message from the /etc/kernel/postinst.d/dracut 
script when setting up the nfsroot:

dracut: Generating /boot/initrd.img-3.2.0-3-amd64
E: No '/dev/log' or 'logger' included for syslog logging
Error: missing module or filename.
Setting up linux-image-3.2.0-3-amd64 (3.2.21-3) ...
Running depmod.
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dracut 3.2.0-3-amd64 
/boot/vmlinuz-3.2.0-3-amd64
E: No '/dev/log' or 'logger' included for syslog logging
Error: missing module or filename.


Attached is the output of
dracut --debug --libdirs="/lib /usr/lib" --force 
/boot/initrd.img-3.2.0-3-amd64 3.2.0-3-amd64 &> dracut.log

Maybe this can help to solve the problem. I already had a look at it but 
I am not an expert in shell programming.

However I noted one thing:

In /usr/lib/dracut/dracut_functions.sh there is this check:

[[ -x /usr/bin/dracut-install ]]

However dracut-install is nowhere to be found and the source for that 
binary seems to have been introduced upstream at v0.20. Maybe it should 
be built and shipped by the dracut package?

Maybe this is more of a dracut bug?

Kind regards,

Bastian
[dracut.log.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Fri, 20 Jul 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Lange <lange@informatik.uni-koeln.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Fri, 20 Jul 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 682013@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@informatik.uni-koeln.de>
To: Bastian Neuburger <b.neuburger@gsi.de>, 682013@bugs.debian.org
Subject: Re: Bug#682013: Still problems with mounting nfs root
Date: Fri, 20 Jul 2012 16:15:15 +0200
>>>>> On Fri, 20 Jul 2012 15:12:23 +0200, Bastian Neuburger <b.neuburger@gsi.de> said:

    > However I noted one thing:
    > In /usr/lib/dracut/dracut_functions.sh there is this check:
    > [[ -x /usr/bin/dracut-install ]]
dracut 020-1 also works without the dracut-install executable.

-- 
regards Thomas



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Tue, 31 Jul 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Tue, 31 Jul 2012 10:00:03 GMT) Full text and rfc822 format available.

Message #37 received at 682013@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 682013@bugs.debian.org
Subject: second patches not sufficient
Date: Tue, 31 Jul 2012 11:59:29 +0200
Hi,

the latter patch is not sufficient here.  If I run fai-make-nfsroot
with only the patch provided in <URL:http://bugs.debian.org/682013#20>,
I still get the "F: Failed to install /etc/idmapd.conf"-error.

Adding the patch in <URL:http://bugs.debian.org/682013#15> makes
things work and the nfsroot is created sucessfully.  I did not test
with only that patch.


When booting over network now, the kernel is loaded but the boot
process stops with:

--------8<-----------
Starting dhcp for interface0
mount.nfs: Connection timed out

dracut Warning: Could not boot.

Dropping to a debug shell.
dracut:/#
--------8<-----------

Ideas how to solve that issue are appreciated.

Best regards,

     Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Tue, 31 Jul 2012 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andreas B. Mundt" <andi.mundt@web.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Tue, 31 Jul 2012 10:21:03 GMT) Full text and rfc822 format available.

Message #42 received at 682013@bugs.debian.org (full text, mbox):

From: "Andreas B. Mundt" <andi.mundt@web.de>
To: 682013@bugs.debian.org
Subject: works on real hardware
Date: Tue, 31 Jul 2012 12:21:32 +0200
Hi,

I just tested booting with the dracut nfsroot created as described
above (#37), this time on real hardware.  It looks as if the problem
mounting the nfsroot: "mount.nfs: Connection timed out" is related to
my virtual machines.  It works on a real hardware setup here.

Regards,

	Andi



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Fri, 10 Aug 2012 11:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Neuburger <b.neuburger@gsi.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Fri, 10 Aug 2012 11:51:06 GMT) Full text and rfc822 format available.

Message #47 received at 682013@bugs.debian.org (full text, mbox):

From: Bastian Neuburger <b.neuburger@gsi.de>
To: <682013@bugs.debian.org>
Subject: Confirmed: Second patch works
Date: Fri, 10 Aug 2012 13:46:10 +0200
Hi,

I finally got a working NFS-Root/initrd/Kernel with the second patch.

Don't know where the problem was, might have to do with outdated 
packages (e.g. 3.2.0-2 Kernel instead of the current 3.2.0-3 Kernel) on 
my FAI-Server that I upgraded before trying again.

Just wanted to let you know. It works fine for me even on KVM VMs.

Cheers,

Bastian



Severity set to 'serious' from 'important' Request was from Marc Dequènes (duck) <duck@duckcorp.org> to control@bugs.debian.org. (Tue, 04 Sep 2012 13:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Tue, 04 Sep 2012 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Tue, 04 Sep 2012 13:51:03 GMT) Full text and rfc822 format available.

Message #54 received at 682013@bugs.debian.org (full text, mbox):

From: Marc Dequènes (duck) <duck@duckcorp.org>
To: <682013@bugs.debian.org>
Cc: Debian BTS Control <control@bugs.debian.org>
Subject: Re: fai-server: fai-setup failing on dracut setup
Date: Tue, 04 Sep 2012 15:41:57 +0200
severity 682013 serious
thanks


Coin,

I tried with both patches and it works like a charm.

The second patch makes sense, but dunno about idmapd.conf. it probably 
needs more review.

Nevertheless, creating a nfsroot is necessary to use FAI at all and 
fails with the default configuration, thus increasing severity to get 
something working in Wheezy.

Regards.

-- 
Marc Dequènes



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Sat, 22 Sep 2012 21:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shimabuku <andrewsh@hawaii.edu>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Sat, 22 Sep 2012 21:15:05 GMT) Full text and rfc822 format available.

Message #59 received at 682013@bugs.debian.org (full text, mbox):

From: Andrew Shimabuku <andrewsh@hawaii.edu>
To: 682013@bugs.debian.org
Subject: NFS error on FAI client
Date: Sat, 22 Sep 2012 11:12:18 -1000
I just wanted to mention that I was also having problems with failed
fai-setup and the patches resolved the problem for me, but I then I
got the dracut nfs error when attempting to boot a client.

Chrooting into nfsroot and trying to regenerate the initrd with the
nfs module fails for me because it was trying to load modules from my
host's kernel version (/lib/modules/2.6.32-5-amd64), but fai is using
3.2.0-3-amd64.

To resolve I made a symbolic link pointing /lib/modules/2.6.32-5-amd64
to /lib/modules/3.2.0-3-amd64 regenerated the initrd and then copied
it over to /srv/tftp/fai/

From there I was able to boot the client without the nfs error.  If
anyone else is having the same problem I hope this helps.



Added tag(s) pending. Request was from Thomas Lange <lange@debian.org> to control@bugs.debian.org. (Sat, 10 Nov 2012 20:21:03 GMT) Full text and rfc822 format available.

Reply sent to Thomas Lange <lange@debian.org>:
You have taken responsibility. (Sat, 17 Nov 2012 21:06:04 GMT) Full text and rfc822 format available.

Notification sent to J M Cerqueira Esteves <jmce@jmce.eu>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 21:06:04 GMT) Full text and rfc822 format available.

Message #66 received at 682013-close@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@debian.org>
To: 682013-close@bugs.debian.org
Subject: Bug#682013: fixed in fai 4.0.4
Date: Sat, 17 Nov 2012 21:02:29 +0000
Source: fai
Source-Version: 4.0.4

We believe that the bug you reported is fixed in the latest version of
fai, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 682013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Lange <lange@debian.org> (supplier of updated fai package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 15 Nov 2012 14:59:55 +0100
Source: fai
Binary: fai-client fai-doc fai-server fai-quickstart fai-nfsroot fai-setup-storage
Architecture: source all
Version: 4.0.4
Distribution: unstable
Urgency: low
Maintainer: Thomas Lange <lange@debian.org>
Changed-By: Thomas Lange <lange@debian.org>
Description: 
 fai-client - Fully Automatic Installation client package
 fai-doc    - Documentation for FAI
 fai-nfsroot - Fully Automatic Installation nfsroot package
 fai-quickstart - Fully Automatic Installation quickstart package
 fai-server - Fully Automatic Installation server package
 fai-setup-storage - automatically prepare storage devices
Closes: 682013 686388 686758 688902 689311
Changes: 
 fai (4.0.4) unstable; urgency=low
 .
   * device2grub: fix pattern Closes: #689311
   * Parser.pm: Fix for perl warning Closes: #686388
   * fai-make-nfsroot: install nfs-common early Closes: #682013
     check if hook is a file before sourcing it Closes: #686758
   * NFSROOT: replace transitional package name Closes: #688902
   * savelog.LAST.source: add pattern to ignore list
   * fai-chboot.8: update of -u option
   * mk-basefile: add support for wheezy
   * disk_config examples: use option sw for swap partitions
   * NFSROOT: add package live-boot-doc, so we have the documentation
     inside the nfsroot
Checksums-Sha1: 
 0ebac44f4cdfc3a00785de64d20fa7ef1b61b937 1208 fai_4.0.4.dsc
 061e4959472ae1759518b88e9b598af9d1e839b9 315576 fai_4.0.4.tar.gz
 58f00a6f83c8480c3c71a7317739df9fade3a93d 136046 fai-client_4.0.4_all.deb
 46fad5951f99699360e4ec98f6fda51293288e58 805178 fai-doc_4.0.4_all.deb
 c84361848fe08579776ea0dfac391ac09d268bac 67488 fai-server_4.0.4_all.deb
 b3603c445f0c8d1744f49938828c51365c53f5ed 1994 fai-quickstart_4.0.4_all.deb
 69ed73b3c7700be64ae8167f17fe5d9d0cfa96f8 75812 fai-nfsroot_4.0.4_all.deb
 238e06e196b7d17c1bccecad6a64ea6e0a55c014 118144 fai-setup-storage_4.0.4_all.deb
Checksums-Sha256: 
 7e81a86fb7f095603401ff59109294d4b19ace6e22f6a6c8286fe5134bc1b5ac 1208 fai_4.0.4.dsc
 1fe8857d9857a5861401fc6a68291e3c5eff444187b62d4e3c1cb23331733b6c 315576 fai_4.0.4.tar.gz
 e0dd2a1736cebc128c166dee2aff6e8a26d8d4e8a9b8d6daa9bd9fa33f01b911 136046 fai-client_4.0.4_all.deb
 e3e3473ed9b4ad2a9576e80cdc107535ee6645082c5985be1c2123658fe6957a 805178 fai-doc_4.0.4_all.deb
 35fcda28cbf8f604d3ad4a8b137c2064579e7b85d41d568472d65ea412def2e4 67488 fai-server_4.0.4_all.deb
 830944c22e0ba171b921bbda90ebd10bd6f20290569c3ce3b1cc874b9ee21b7b 1994 fai-quickstart_4.0.4_all.deb
 8ffa7a17558c2a3172f924a61675556cdc83c2c821e7f095238c3b9399f02df4 75812 fai-nfsroot_4.0.4_all.deb
 bc888a569fc965296f6d0b8a85d01ba1386a7f5aa2b15e0cf16602fc991120f5 118144 fai-setup-storage_4.0.4_all.deb
Files: 
 f484eaa2766cf4801cf161fbece48174 1208 admin extra fai_4.0.4.dsc
 2238f8eabf9f0c5940e2be9f7fad8817 315576 admin extra fai_4.0.4.tar.gz
 cb6575b08ecba05ffaef7ffd09ffd6f2 136046 admin extra fai-client_4.0.4_all.deb
 50953254a3db84734e344677d2e7d74f 805178 doc extra fai-doc_4.0.4_all.deb
 57d5feca5fe73f927388096af9440472 67488 admin extra fai-server_4.0.4_all.deb
 e911d0aba4a9260cd5e24e9a086cbd80 1994 admin extra fai-quickstart_4.0.4_all.deb
 01527bd3e3c6b836e435b2822aeb08cc 75812 admin extra fai-nfsroot_4.0.4_all.deb
 24bea2c92fb08fc4939f57e5d3baecec 118144 admin extra fai-setup-storage_4.0.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQp+1h3BPlTqubZv0RAqlOAJ4pXHZe6KdlXCnK9glS4QYFfFhjcgCdH6rK
VMRhQuIZQ5y1PS2OFCz9W5Y=
=R9Gr
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Sat, 24 Nov 2012 12:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Sat, 24 Nov 2012 12:15:06 GMT) Full text and rfc822 format available.

Message #71 received at 682013@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: lange@debian.org
Cc: 682013@bugs.debian.org
Subject: Unblock request for #682013?
Date: Sat, 24 Nov 2012 13:06:02 +0100 (CET)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Thomas,

at the Debian BSP in Essen I took a look at bug #682013 in fai-server.

Apparantly, you uploaded version 4.0.4 to unstabe, which, among other 
changes, fixes the bug in question. However, I can neither find a backport 
of the relevant patch to the version in testing nor an unblock request for 
version 4.0.4.

Looking at the differences between 4.0.3 and 4.0.4, I think that most of 
the changes should be acknowledged by the release team. However, the other 
bugs fixed by the upload are not release critical.

There are four options:

 - You send an unblock request to the virtual release.debian.org package
 - Or I do that ;).
 - You backport the one patch that is considered release critical to 4.0.3
 - Or I do that ;)

Which one do you prefer?

- -- 
Cheers,
Nik

PGP-Fingerprint: 2086 9A4B E67D 1DCD FFF6
                 F6C1 59FC 8E1D 6F2A 8001

Please contact me for a face-to-face meeting
if you wish to exchange signatures with me.

Signature Policy: https://www.dominik-george.de/gpg-policy.txt.asc
Public key:       https://www.dominik-george.de/gpg.asc

X.509 certificate fingerprint for key download:
51:D8:36:36:7E:20:3F:E7:AB:EF:B8:83:25:A6:BB:74:48:03:3D:F0

Please do NOT send HTML mail!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iQFOBAEBAgA4BQJQsLgbMRpodHRwczovL3d3dy5kb21pbmlrLWdlb3JnZS5kZS9n
cGctcG9saWN5LnR4dC5hc2MACgkQWfyOHW8qgAHNIwf9FlMpfsx9lomahWCPaG6t
edgV9QGIQ0ztsz57C4S3D1gaIlh/OlhLcXA4da/w2+N1B8c2SLJN+6Xyw3QzDzT+
um+DATKNiAUzLGA6TOiKdVgKBqpJm9sSd5f8evNgIZqQi3L8Qsqi+bMS0mx0ovJT
uPvEJS3pPZXkXijjkKsBdIxGA69Sf66VT2XFex2klvKjHekgh0tMUdaQRGUhRqpk
vgAtphW9969FQAciXEo4z038teNwPgfF1ha5CMbSore7Cmzoy2XiqwgeCK0iDh0R
/tbtgldG3ypQpzJEyQGgw+En9tDE8Ug0Fjedze7VKtllVTxdVEA0MkskRihS68XQ
6A==
=AG1V
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Sat, 24 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Sat, 24 Nov 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #76 received at 682013@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Dominik George <nik@naturalnet.de>, 682013@bugs.debian.org
Cc: lange@debian.org
Subject: Re: Bug#682013: Unblock request for #682013?
Date: Sat, 24 Nov 2012 13:42:24 +0000
On Sat, 2012-11-24 at 13:06 +0100, Dominik George wrote:
> at the Debian BSP in Essen I took a look at bug #682013 in fai-server.
> 
> Apparantly, you uploaded version 4.0.4 to unstabe, which, among other 
> changes, fixes the bug in question. However, I can neither find a backport 
> of the relevant patch to the version in testing nor an unblock request for 
> version 4.0.4.

$ grep-excuses fai
fai (4.0.3 to 4.0.4)
    Maintainer: Thomas Lange 
    Too young, only 6 of 10 days old
    Ignoring block request by freeze, due to unblock request by adsb

(I added the unblock a few days ago, fwiw).

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Lange <lange@debian.org>:
Bug#682013; Package fai-server. (Sat, 24 Nov 2012 14:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Thomas Lange <lange@debian.org>. (Sat, 24 Nov 2012 14:09:04 GMT) Full text and rfc822 format available.

Message #81 received at 682013@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 682013@bugs.debian.org, lange@debian.org
Subject: Re: Bug#682013: Unblock request for #682013?
Date: Sat, 24 Nov 2012 15:06:41 +0100 (CET)
Hi,

> $ grep-excuses fai
> fai (4.0.3 to 4.0.4)
>     Maintainer: Thomas Lange 
>     Too young, only 6 of 10 days old
>     Ignoring block request by freeze, due to unblock request by adsb

Oh ok, sorry. I actually looked for fai-server.

-nik



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Dec 2012 07:25:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:16:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.